Skip to main content
`Ctrl`+`K`

# pandas.Index.drop

Index.drop(labels, errors='raise')

  Make new Index with passed list of labels deleted.

  Parameters:
    labels array-like or scalar
    errors{‘ignore’, ‘raise’}, default ‘raise’

      If ‘ignore’, suppress error and existing labels are dropped.

  Returns:
    Index

      Will be same type as self, except for RangeIndex.

  Raises:
    KeyError

      If not all of the labels are found in the selected axis

  Examples

      >>> idx = pd.Index(['a', 'b', 'c'])
      >>> idx.drop(['a'])
      Index(['b', 'c'], dtype='object')